Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transaction Initiation

Selfie ID Init - Authentication

Upon initiating an authentication request, the server responds with a session ID, bearer token, and a challenge. To complete the authentication process, the user must respond to this challenge by submitting their selfie image. The API will then validate the submitted data against the facial credential stored during the provisioning phase.

API Description

Method : GET

URL : https://{environment-url}/realms/{partner-id}/protocol/api/init

Parameter

Name
Type
Description

client_id*

String

A unique client id that is shared for each partner.

client_secret*

String

A unique key that is generated for each parter and will be provided by VIDA

credential_id*

String

Credential id generated during the process of provisioning.

type*

String

Type of the authentication FaceID

The Credential ID can be obtained by decoding the Signed JWT tokens received as the access token from the Face Match ID Completion API.

{
    "uri": "https://{environment-url}/realms/{partner-id}/protocol/api/authenticate",
    "bearerToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiIzZTU4Yjc4ZC1mMDE2LTQwMWMtYTI1Yi0zMzQ3Mzk2MWRlYzgiLCJleGVjdXRpb24iOiJhYmVjYWVjZS03ZmZmLTQ0Y2QtYTQ5Mi1hYTQ3Y2ZhMDA2N2UiLCJ0YWJfaWQiOiJkb0FmdE5ibzItOCIsIm5iZiI6MTcwMzU3OTg5Mywic2Vzc2lvbl9jb2RlIjoiRFZ1cFdUeENINlJKTW03UlRJdnN6NU5Nc1c2Rlh1SzRrYldULXVWdVVYbyIsInNlc3Npb25faWRlbnRpZmllciI6ImRvQWZ0TmJvMi04IiwiZXhwIjoxNzAzNTgwMTkzLCJpYXQiOjE3MDM1Nzk4OTMsImF1dGhfc2Vzc2lvbl9pZCI6IjNlNThiNzhkLWYwMTYtNDAxYy1hMjViLTMzNDczOTYxZGVjOCIsImp0aSI6ImMxZjgxMmJmLWZiYzMtNGRiMy04NDBjLWZhZDU3NDI2ZDRjYiJ9.iztTiqwC7T0TlDtHNmzfYfwwoEb7g5_yNCkXuhvrDOw",
    "authType": "FaceID",
    "sessionIdentifier": "doAftNbo2-8"
}

Success Response

The follow up request can be initiated with the URI and the bearerToken along with the required parameters using the Transaction Completion API.

Response Schema

Error Response

Response Schema

To complete the Selfie ID Authentication process, follow up by using the Selfie ID Completion API.

Last updated